> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mynth.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Rate Image



## OpenAPI

````yaml https://api.mynth.io/openapi.json post /image/rate
openapi: 3.1.0
info:
  title: Mynth
  description: Mynth API
  version: 1.0.0
servers: []
security: []
paths:
  /image/rate:
    post:
      tags:
        - Image
      summary: Rate Image
      operationId: postImageRate
      requestBody:
        required: true
        content:
          application/json:
            schema:
              anyOf:
                - type: object
                  properties:
                    levels:
                      type: array
                      maxItems: 7
                      minItems: 2
                      items:
                        type: object
                        properties:
                          description:
                            type: string
                            maxLength: 150
                            minLength: 1
                          value:
                            type: string
                            maxLength: 24
                            minLength: 1
                        required:
                          - description
                          - value
                    mode:
                      const: custom
                    url:
                      type: string
                  required:
                    - levels
                    - mode
                    - url
                  additionalProperties: false
                - type: object
                  properties:
                    url:
                      type: string
                    mode:
                      const: nsfw_sfw
                      default: nsfw_sfw
                  required:
                    - url
                  additionalProperties: false
      responses:
        '201':
          description: Image rating task created
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      estimatedCost:
                        type: string
                        description: >-
                          Estimated cost in USD reserved for this task. Failed
                          tasks are not charged.
                        examples:
                          - '0.0002'
                      taskId:
                        type: string
                        description: Task ID
                        examples:
                          - tsk_01KE7XWWEQ4MCGWKBQKJ1G47RP
                    required:
                      - estimatedCost
                      - taskId
                required:
                  - data
      security:
        - apiKeyAuth: []
        - oauthAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: 'Mynth API key sent as `Authorization: Bearer <api-key>`.'
    oauthAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'OAuth access token sent as `Authorization: Bearer <access-token>`.'

````